يشتري النطاقات عبر API العميل العامة.
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_info": {
"address_1": "<string>",
"city": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"organization": "<string>",
"phone": "<string>",
"state": "<string>",
"zip": "<string>"
},
"domains": [
"<string>"
],
"workspace_id": "<string>"
}
'{
"results": [
{
"domain_name": "<string>",
"status": "<string>",
"error": "<string>",
"error_code": "<string>",
"id": "<string>"
}
],
"currency": "<string>",
"estimated_total": "<string>",
"failed_count": 0,
"payment_url": "<string>",
"purchase_batch_id": "<string>",
"successful_count": 0
}Documentation Index
Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
Use this file to discover all available pages before exploring further.
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
مخطط شراء نطاق واحد أو أكثر.
مخطط معلومات اتصال مسجل النطاق.
Hide child attributes
11رمز دولة ISO مكون من حرفين
2111رقم هاتف مع رمز الدولة
111هل كانت هذه الصفحة مفيدة؟
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_info": {
"address_1": "<string>",
"city": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"organization": "<string>",
"phone": "<string>",
"state": "<string>",
"zip": "<string>"
},
"domains": [
"<string>"
],
"workspace_id": "<string>"
}
'{
"results": [
{
"domain_name": "<string>",
"status": "<string>",
"error": "<string>",
"error_code": "<string>",
"id": "<string>"
}
],
"currency": "<string>",
"estimated_total": "<string>",
"failed_count": 0,
"payment_url": "<string>",
"purchase_batch_id": "<string>",
"successful_count": 0
}